Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model
Class ServiceReference

    java.lang.Object
      org.teleal.cling.model.ServiceReference

    public class ServiceReference

extends Object

Combines a `UDN` and a `ServiceId`.

A service reference is useful to remember a service. For example, if a control point has accessed a service one, it can remember the service with `Service.getReference()`. Before every action invocation, it can now resolve the reference to an actually registered service with `Registry.getService(ServiceReference)`. If the registry doesn't return a service for the given reference, the service is currently not available.

This simplifies implementing disconnect/reconnect behavior in a control point.

Author:
  Christian Bauer

Field Summary
`static String` | `DELIMITER`

Constructor Summary
`ServiceReference(String s)`
`ServiceReference(UDN udn, ServiceId serviceId)`

Method Summary
`boolean` | `equals(Object o)`
`ServiceId` | `getServiceId()`
`UDN` | `getUdn()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DELIMITER

    public static final String DELIMITER

See Also:
  Constant Field Values

Constructor Detail

### ServiceReference

    public ServiceReference(String s)

### ServiceReference

    public ServiceReference(UDN udn,
                            ServiceId serviceId)

Method Detail

### getUdn

    public UDN getUdn()

### getServiceId

    public ServiceId getServiceId()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.